using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 导航：培训内容
    /// </summary>
    [Description("培训内容")]
    public class T_SE_TRAIN_NOTIFY_CONTENT_REL : MesEntityBase
    {
        /// <summary>
        /// 培训通知
        /// </summary>
        [Description("培训通知")]
        [DataFieldForeignKey("Nav_Notify", "Nav_TrainContentList")]
        public Guid NOTIFY_ID { get; set; }
        /// <summary>
        /// 导航: 培训通知
        /// </summary>
        [Description("导航: 培训通知")]
        public T_SE_TRAIN_NOTIFY Nav_Notify { get; set; }
        /// <summary>
        /// 知识点ID
        /// </summary>
        [Description("知识点")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_Point")]
        public Guid POINT_ID { get; set; }
        /// <summary>
        /// 导航: 知识点
        /// </summary>
        [Description("导航: 知识点")]
        public T_SE_TEST_ENUM_POINT Nav_Point { get; set; }
    }
}
